---@meta

---@class IBPI_CharacterAnim_C : IInterface
local IBPI_CharacterAnim_C = {}

---@param Enable boolean
function IBPI_CharacterAnim_C:SetHeadbob(Enable) end
---@param IsPassenger boolean
function IBPI_CharacterAnim_C:SetIsPassenger(IsPassenger) end
---@param IsIkEnable boolean
---@param IkTarget AActor
---@param Success boolean
function IBPI_CharacterAnim_C:SetHandIK(IsIkEnable, IkTarget, Success) end
---@param IsDriver boolean
function IBPI_CharacterAnim_C:SetIsDriver(IsDriver) end
---@param Pose E_CharacterPose::Type
---@param Sequence UAnimSequenceBase
---@param Success boolean
function IBPI_CharacterAnim_C:SetCharPose(Pose, Sequence, Success) end
---@param TRUE boolean
---@param Success boolean
function IBPI_CharacterAnim_C:SetRagdoll(TRUE, Success) end


